From d813cef3cecdec9af1532a40d677a203ff979145 Mon Sep 17 00:00:00 2001
From: David Faure <faure@kde.org>
Date: Sat, 9 May 2020 11:20:48 +0200
Subject: Only store password in KWallet if the user asked for it

---
 fish/fish.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/fish/fish.cpp b/fish/fish.cpp
index a18ef34..ccd71d3 100644
--- a/fish/fish.cpp
+++ b/fish/fish.cpp
@@ -595,7 +595,9 @@ int fishProtocol::establishConnection(const QByteArray &buffer) {
             infoMessage(i18n("Initiating protocol..."));
             if (!connectionAuth.password.isEmpty()) {
                 connectionAuth.password = connectionAuth.password.left(connectionAuth.password.length()-1);
-                cacheAuthentication(connectionAuth);
+                if (connectionAuth.keepPassword) {
+                    cacheAuthentication(connectionAuth);
+                }
             }
             isLoggedIn = true;
             return 0;
-- 
cgit v1.1
